import request from '@/utils/request'

// 查询VIP订单列表
export function listVipOrder(query) {
  return request({
    url: '/xq/vipOrder/list',
    method: 'get',
    params: query
  })
}

// 查询VIP订单详细
export function getVipOrder(id) {
  return request({
    url: '/xq/vipOrder/' + id,
    method: 'get'
  })
}

// 新增VIP订单
export function addVipOrder(data) {
  return request({
    url: '/xq/vipOrder',
    method: 'post',
    data: data
  })
}

// 修改VIP订单
export function updateVipOrder(data) {
  return request({
    url: '/xq/vipOrder',
    method: 'put',
    data: data
  })
}

// 删除VIP订单
export function delVipOrder(id) {
  return request({
    url: '/xq/vipOrder/' + id,
    method: 'delete'
  })
}
